Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002646TestLinkUser Interface Generalpublic2009-06-22 15:582013-05-22 20:55
Reporterskier2701 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0002646: Can't Create new account duel to E-Mail Address validate
DescriptionI replace the 1.82 files with the version 1.83, When I was creating a new account, the information "Email address format seems no good" is given. I have snag a screen shot for it.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFireFox 3.0.11
PHP Version5.2.8
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon create account failed.jpg [^] (43,195 bytes) 2009-06-22 15:58

- Relationships

-  Notes
(0007321)
mhavlat (reporter)
2009-06-22 19:04

Add a character '-' to configuration regex to custom_config.inc.php to overwrite the next definition:

$tlCfg->validation_cfg->user_email_valid_regex_js = "/^([\w]+)(.[\w]+)*@([\w-]+\.){1,5}([A-Za-z]){2,4}$/";
$tlCfg->validation_cfg->user_email_valid_regex_php = "/^([\w]+)(.[\w]+)*@([\w-]+\.){1,5}([A-Za-z]){2,4}$/U";
(0007330)
guest (reporter)
2009-06-23 20:14

Not Bug.

Please, Copy config.inc.php .

http://sourceforge.jp/projects/testlinkjp/lists/archive/users/2009-June/000584.html [^]
http://www.excite-webtl.jp/world/english/web/?wb_url=http%3A%2F%2Fsourceforge.jp%2Fprojects%2Ftestlinkjp%2Flists%2Farchive%2Fusers%2F2009-June%2F000584.html&wb_lp=JAEN&wb_dis=3&wb_submit=+%96%7C+%96%F3+ [^]
(0007331)
skier2701 (reporter)
2009-06-24 08:49

Thanks, Follow the instruction of mhavlat, i have solve the problem.

- Issue History
Date Modified Username Field Change
2009-06-22 15:58 skier2701 New Issue
2009-06-22 15:58 skier2701 File Added: create account failed.jpg
2009-06-22 15:58 skier2701 Browser => FireFox 3.0.11
2009-06-22 15:58 skier2701 PHP Version => 5.2.8
2009-06-22 19:04 mhavlat Note Added: 0007321
2009-06-22 19:04 mhavlat Status new => feedback
2009-06-23 20:14 guest Note Added: 0007330
2009-06-24 08:49 skier2701 Note Added: 0007331
2013-05-20 19:55 fman Status feedback => resolved
2013-05-20 19:55 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2013-05-20 19:55 fman Resolution open => fixed
2013-05-20 19:55 fman Assigned To => fman
2013-05-22 20:55 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker